RuntimeErrorException (Java SE 13 & JDK 13 )
Description: declaration: module: java.management, package: javax.management, class: RuntimeErrorException
Keywords: javax.management.RuntimeErrorException class

Module java.management
Package javax.management

# Class RuntimeErrorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.management.JMRuntimeException
javax.management.RuntimeErrorException

All Implemented Interfaces:
  `Serializable`

    public class RuntimeErrorException
    extends JMRuntimeException

When a `java.lang.Error` occurs in the agent it should be caught and re-thrown as a `RuntimeErrorException`.

Since:
  1.5
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RuntimeErrorException​(Error e)` | Default constructor.
  `RuntimeErrorException​(Error e, String message)` | Constructor that allows a specific error message to be specified.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Throwable` | `getCause()` | Returns the actual `Error` thrown.
  `Error` | `getTargetError()` | Returns the actual `Error` thrown.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RuntimeErrorException

    public RuntimeErrorException​(Error e)
    Default constructor.
    Parameters:
      `e` - the wrapped error.

  - ### RuntimeErrorException

    public RuntimeErrorException​(Error e, String message)
    Constructor that allows a specific error message to be specified.
    Parameters:
      `e` - the wrapped error.
      `message` - the detail message.

- ## Method Details

  - ### getTargetError

    public Error getTargetError()
    Returns the actual `Error` thrown.
    Returns:
      the wrapped `Error`.

  - ### getCause

    public Throwable getCause()
    Returns the actual `Error` thrown.
    Overrides:
      `getCause` in class `Throwable`
    Returns:
      the wrapped `Error`.